Package com.documentum.fc.client.fulltext

# Interface IDfFtConfig

public interface IDfFtConfig
This interface provides functionality for retrieving fulltext configuration information that is associated with a docbase.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `IDfFtConfig.FtCapability`
  Represents the capabilities that can be passed to isCapabilitySupported()
  `static enum`
  `IDfFtConfig.FtEngine`
  Represents the possible engine values returned by getEngine()

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollectionPath()`
  Returns the complete path of the root collection (useful if needed to construct the query).
  `IDfFtConfig.FtEngine`
  `getEngine()`
  Returns the name of the underlying fulltext engine.
  `String`
  `getVersion()`
  Returns the version of the underlying fulltext engine.
  `boolean`
  `isCapabilitySupported(IDfFtConfig.FtCapability capability)`
  Checks if the given capability is supported by the underlying fulltext engine.

- ## Method Details

  - ### getEngine

    IDfFtConfig.FtEngine getEngine()
    Returns the name of the underlying fulltext engine.
    Returns:
      name of fulltext engine. Possible values are defined in IDfFtConfig.FtEngine

  - ### getVersion

    String getVersion()
    Returns the version of the underlying fulltext engine.
    Returns:
      version of fulltext engine. If version is not avaialble, it returns UNKNOWN

  - ### isCapabilitySupported

    boolean isCapabilitySupported(IDfFtConfig.FtCapability capability) throws DfException
    Checks if the given capability is supported by the underlying fulltext engine.
    Parameters:
      `capability` - IDfFtConfig.FtCapability values
    Returns:
      true if the capability is supported, false if the capability is not supported
    Throws:
      `DfException` - exception

  - ### getCollectionPath

    String getCollectionPath()
    Returns the complete path of the root collection (useful if needed to construct the query). This may not apply to all fulltext engines depending on the query language used.
    Returns:
      collection path or null if not found